Bug 998866 - Yet another hang
Yet another hang
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
: 1000932 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:19 EDT by Mikhail
Modified: 2015-02-17 11:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:50:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of evolution (249.42 KB, image/png)
2013-08-20 05:19 EDT, Mikhail
no flags Details
Evolution backtrace (3.18 KB, application/x-bzip)
2013-08-20 05:21 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-08-20 05:19:51 EDT
Created attachment 788393 [details]
screenshot of evolution

Description of problem:
Yet another hang
Comment 1 Mikhail 2013-08-20 05:21:20 EDT
Created attachment 788394 [details]
Evolution backtrace
Comment 2 Milan Crha 2013-08-20 12:44:39 EDT
Thanks for a bug report, but I'm not sure of the screen shot, it shows htop or such, with no reference to evolution, only many chrome processes. The attached backtraces show all processes idle, not waiting for anything "in progress". Do I miss anything?
Comment 3 Mikhail 2013-08-20 12:48:34 EDT
I want show that evolution (first string in htop) consume 100% of CPU core.
Comment 4 Milan Crha 2013-08-21 02:43:11 EDT
Oh, the first line, I didn't look at it as it had other color from the rest of the screen shot. Anyway, as I wrote above, all the processes are idle  in evolution backtrace, which might also mean that you were lucky and got the backtrace in a "pause" minute. The thing is, do you have any steps how to reproduce this, please? Specifically, your console logs show that there is loaded some libreoffice4 plugin, which is not shown for me (I guess it's a web browser plugin, which is loaded by WebKit).
Comment 5 Mikhail 2013-08-22 01:39:03 EDT
$ evolution
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:002] Using Gtk2 toolkit
No bp log location saved, using default.
[000:379] No bp log location saved, using default.
[000:379] Browser XEmbed support present: 1
[000:379] Browser toolkit is Gtk2.
[000:379] Using Gtk2 toolkit
[000:000] No bp log location saved, using default.
Created new window in existing browser session.

(evolution:1790): dconf-WARNING **: failed to commit changes to dconf: Timeout was reached

(evolution:1790): dconf-WARNING **: failed to commit changes to dconf: Timeout was reached

(evolution:1790): Gtk-WARNING **: Refusing to add non-unique action 'open-with-env' to action group 'openwith'

(evolution:1790): Gtk-WARNING **: Refusing to add non-unique action 'open-with-env' to action group 'openwith'

(evolution:1790): dconf-WARNING **: failed to commit changes to dconf: Timeout was reached

(evolution:1790): dconf-WARNING **: failed to commit changes to dconf: Timeout was reached

(evolution:1790): dconf-WARNING **: failed to commit changes to dconf: Timeout was reached

** (evolution:1790): WARNING **: Timeout was reached

(evolution:1790): evolution-mail-WARNING **: Failed to request http://atmst.net/o~AVGUST~d6d085644083f7869868bdfbe005bf28.gif (code 4)

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x984bc60 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x984bc60 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x984bc60 is mapped but visible=0 child_visible=1 parent GtkBox 0xa32ddd0 mapped=1

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x984bc60 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x984bc60 is mapped but visible=0 child_visible=1 parent GtkBox 0xa32ddd0 mapped=1

(evolution:1790): evolution-mail-WARNING **: Failed to request http://www.jobool.com/index.php?mailid=83&option=com%5Facymailing&subid=815613&ctrl=stats (code 4)

(evolution:1790): evolution-mail-WARNING **: Failed to request http://www.jobool.com/index.php?mailid=83&option=com%5Facymailing&subid=815613&ctrl=stats (code 4)

(evolution:1790): evolution-mail-WARNING **: Failed to request http://www.jobool.com/index.php?mailid=83&option=com%5Facymailing&subid=815613&ctrl=stats (code 4)

** (evolution:1790): CRITICAL **: e_mail_part_list_ref_part: assertion `E_IS_MAIL_PART_LIST (part_list)' failed

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8e20 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8e20 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8e20 is mapped but visible=0 child_visible=1 parent GtkBox 0xab75738 mapped=1

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8e20 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8e20 is mapped but visible=0 child_visible=1 parent GtkBox 0xab75738 mapped=1

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8800 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8800 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8800 is mapped but visible=0 child_visible=1 parent GtkBox 0xa3edad0 mapped=1

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8800 is mapped but not visible

(evolution:1790): Gtk-WARNING **: EAttachmentBar 0x97d8800 is mapped but visible=0 child_visible=1 parent GtkBox 0xa3edad0 mapped=1
^C^C
^C
Comment 6 Mikhail 2013-08-22 03:06:29 EDT
I mean, I nothing unusual to do for it
Comment 7 Milan Crha 2013-08-23 01:32:50 EDT
(In reply to Mikhail from comment #5)
> $ evolution
> No bp log location saved, using default.
> [000:000] Browser XEmbed support present: 1
> [000:000] Browser toolkit is Gtk2.
> [000:002] Using Gtk2 toolkit

There might be something installed, something what breaks evolution for you. I bet for some 3rd party browser plugin, but I have no proof for it, neither idea what it can be. By the way, gtk2 is probably wrong, evolution uses gtk3.
Comment 8 Milan Crha 2013-08-26 10:04:08 EDT
*** Bug 1000932 has been marked as a duplicate of this bug. ***
Comment 9 Mikhail 2013-08-26 10:06:49 EDT
Which browser??? On both systems at work and home I use Google Chrome. But at home I don't see this message in console.
Comment 10 Milan Crha 2013-08-27 04:31:53 EDT
That's the thing, some browser plugins can be shared between all browsers. These are stored either at
   /usr/lib64/mozilla/plugins
or at
   /usr/lib/mozilla/plugins
If you move away (do not delete) files from there, and run evolution, then the messages should go away too. I would try, as a test, to run without any plugins, whether it'll help to stabilize your machine (I think of the bug #995177 too).
Comment 11 Milan Crha 2013-09-18 06:23:48 EDT
Did you manage to play with the mozilla plugins directory, especially did it help with this and the bug #995177, please?
Comment 12 Fedora Admin XMLRPC Client 2014-09-04 10:29:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2015-01-09 14:31:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:50:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.